Skip to main content
GET
https://your-rootprint-host
/
api
/
indexes
/
{indexId}
/
config
Get index view configuration
curl --request GET \
  --url https://your-rootprint-host/api/indexes/{indexId}/config \
  --cookie better-auth.session_token=
{
  "indexId": "<string>",
  "displayName": "<string>",
  "levelField": "<string>",
  "messageField": "<string>",
  "tracebackField": "<string>",
  "contextFields": [
    "<string>"
  ],
  "timestampField": "<string>",
  "isOtel": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Path Parameters

indexId
string
required

Quickwit index ID.

Minimum string length: 1

Response

View configuration.

indexId
string
displayName
string | null
levelField
string
messageField
string
tracebackField
string | null
contextFields
string[] | null
timestampField
string
isOtel
boolean